Bug 456411 - Switching between alternative launcher widgets (e.g. Kickoff and Kicker) re-populates Favorites with the default set
Summary: Switching between alternative launcher widgets (e.g. Kickoff and Kicker) re-p...
Status: RESOLVED FIXED
Alias: None
Product: plasmashell
Classification: Unclassified
Component: Application Launcher (Kickoff) (show other bugs)
Version: master
Platform: Fedora RPMs Linux
: NOR normal
Target Milestone: 1.0
Assignee: Plasma Bugs List
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-07-06 19:00 UTC by Nate Graham
Modified: 2022-07-09 15:02 UTC (History)
5 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.24.6 5.25.3 5.26


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2022-07-06 19:00:16 UTC
STEPS TO REPRODUCE
1. remove the default Favorites from Kickoff
2. Right-click on Kickoff > Show Alternatives
3. Choose Kicker and click Switch
4. Open Kicker

EXPECTED
Favorites in Kicker are the same as they were in Kickoff.

ACTUAL
The default favorites have been appended to the set of favorites shown.
Comment 1 Bug Janitor Service 2022-07-09 00:59:05 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/plasma-desktop/-/merge_requests/1026
Comment 2 Fushan Wen 2022-07-09 15:00:08 UTC
Git commit a0e10be062e7154b39fd7f1d070cfaa7474cd218 by Fushan Wen.
Committed on 09/07/2022 at 15:00.
Pushed by fusionfuture into branch 'master'.

applets/kicker: check model count before porting old favorite items

This unifies with Kickoff, and avoids re-populating the favorite model
when switching alternatives.
FIXED-IN: 5.24.6 5.25.3 5.26

M  +3    -1    applets/kicker/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/a0e10be062e7154b39fd7f1d070cfaa7474cd218
Comment 3 Fushan Wen 2022-07-09 15:00:59 UTC
Git commit 3c4544df712688c0ca8b8ae79566b65c8b8a4f74 by Fushan Wen.
Committed on 09/07/2022 at 15:00.
Pushed by fusionfuture into branch 'Plasma/5.25'.

applets/kicker: check model count before porting old favorite items

This unifies with Kickoff, and avoids re-populating the favorite model
when switching alternatives.
FIXED-IN: 5.24.6 5.25.3 5.26


(cherry picked from commit a0e10be062e7154b39fd7f1d070cfaa7474cd218)

M  +3    -1    applets/kicker/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/3c4544df712688c0ca8b8ae79566b65c8b8a4f74
Comment 4 Fushan Wen 2022-07-09 15:01:33 UTC
Git commit b827895ffb55a8bc57bba1d7a56c9892bfc9d7c1 by Fushan Wen.
Committed on 09/07/2022 at 15:01.
Pushed by fusionfuture into branch 'Plasma/5.24'.

applets/kicker: check model count before porting old favorite items

This unifies with Kickoff, and avoids re-populating the favorite model
when switching alternatives.
FIXED-IN: 5.24.6 5.25.3 5.26


(cherry picked from commit a0e10be062e7154b39fd7f1d070cfaa7474cd218)

M  +3    -1    applets/kicker/package/contents/ui/main.qml

https://invent.kde.org/plasma/plasma-desktop/commit/b827895ffb55a8bc57bba1d7a56c9892bfc9d7c1